As you may know, in recent months, we released Messenger Library (WLML) V2.0 (August 2008) and V2.5 (September 2008).  V2.0 and V2.5 are very close feature-wise and we developed V2.5 to be fully backward compatible with V2.0.  We are currently maintaining separate code bases for each version.  As you can imagine, there is a high burden for maintaining two code bases for almost the same functionality.

Because of this, we plan to unify the code bases for V2.5 and V2.0, using the V2.5 code base for both.  What this means for you is that you will continue to be able to load the library at both URLs (http://www.wlmessenger.net/api/2.0/messenger.js and http://www.wlmessenger.net/api/2.5/messenger.js) but they will point to the exact same code.

We are currently targeting this transition for 30 days from now.  At a later date, we also plan to replace V1.0 with V2.5 as well.

We are already working with large partners to ensure that this transition will be smooth.  We want to give everybody a heads up so you have the opportunity to try V2.5 before the transition, if you are using V1.0 or V2.0 in your application today.

Thanks,

Keiji